// ChildOfDialogMessagePusher.cpp : implementation file
//

#include "stdafx.h"
#include "balancer.h"
#include "ChildOfDialogMessagePusher.h"
#include "dlgobjectbalance.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CChildOfDialogMessagePusher

CChildOfDialogMessagePusher::CChildOfDialogMessagePusher()
{
}

CChildOfDialogMessagePusher::~CChildOfDialogMessagePusher()
{
}


BEGIN_MESSAGE_MAP(CChildOfDialogMessagePusher, CStatic)
	//{{AFX_MSG_MAP(CChildOfDialogMessagePusher)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CChildOfDialogMessagePusher message handlers

BOOL CChildOfDialogMessagePusher::OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult) 
{
	// TODO: Add your specialized code here and/or call the base class
  return ((CDlgObjectBalance *)GetParent())->OnNotify_Public(wParam, lParam, pResult);

	//return CStatic::OnNotify(wParam, lParam, pResult);
}

BOOL CChildOfDialogMessagePusher::OnCommand(WPARAM wParam, LPARAM lParam) 
{
  return ((CDlgObjectBalance *)GetParent())->OnCommand_Public(wParam, lParam);
	
//	return CStatic::OnCommand(wParam, lParam);
}
